Package org.kapott.hbci.sepa.jaxb.pain_001_001_02

# Class PostalAddress5

java.lang.Object
org.kapott.hbci.sepa.jaxb.pain_001_001_02.PostalAddress5

public class PostalAddress5 extends Object

Java class for PostalAddress5 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PostalAddress5">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="AdrLine" type="{urn:sepade:xsd:pain.001.001.02}Max70Text" maxOccurs="2"/>
             <element name="Ctry" type="{urn:sepade:xsd:pain.001.001.02}CountryCode"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected List<String>`
`adrLine`
`protected String`
`ctry`

## Constructor Summary

Constructors
Constructor
Description
`PostalAddress5()`

## Method Summary

Modifier and Type
Method
Description
`List<String>`
`getAdrLine()`
Gets the value of the adrLine property.
`String`
`getCtry()`
Gets the value of the ctry property.
`void`
`setCtry(String value)`
Sets the value of the ctry property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### adrLine

protected List<String> adrLine

### ctry

protected String ctry

## Constructor Details

### PostalAddress5

public PostalAddress5()

## Method Details

### getAdrLine

public List<String> getAdrLine()
Gets the value of the adrLine property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the adrLine property.

For example, to add a new item, do as follows:

        getAdrLine().add(newItem);

Objects of the following type(s) are allowed in the list `String`

### getCtry

public String getCtry()
Gets the value of the ctry property.

Returns:
  possible object is `String`

### setCtry

public void setCtry(String value)
Sets the value of the ctry property.

Parameters:
  `value` - allowed object is `String`